#include <bits/stdc++.h>
using namespace std;
int main(){
    string t,u;
    cin>>t;
    int br=0,m,q=0,k;
    for(int i=0;i<t.size()/2;i++){
        if(t[i]==t[t.size()-i-1]){
            br++;
        }
    }
    
    m=(t.size()-br);
    u=t.substr(br,m);  
    cout<<br<<endl<<endl;
    if(t.size()%2==0){
        cout<<u.size()<<endl<<u<<"muda part 2";
    } 
    else{
        for(int i=0;i<u.size();i++){
            if(u[br+1]==u[i+br]){
               q++;
               if(q==1){
                   k=i;
               }
            }
        }
        if(q%2!=0){
            u.erase(br,br+k);
            cout<<u.size()<<"muda part 3";
        }
        else{
            cout<<u.size()<<endl<<u<<"muda";
        }
    }
    cout<<u;
}